<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.ExpirationReminderMapper">

  <resultMap id="expirationReminderMap" type="digital.laboratory.platform.reagent.entity.ExpirationReminder">
    <id property="expirationReminderId" column="expiration_reminder_id"/>
    <result property="expirationDate" column="expiration_date"/>
    <result property="expirationMessage" column="expiration_message"/>
    <result property="reagentConsumableId" column="reagent_consumable_id"/>
    <result property="reagentConsumableNumber" column="reagent_consumable_number"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>

  </resultMap>
</mapper>
